Skip to main content
GET
List SKUs in Product

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

productId
string
required

A Voucherify product ID or product source ID.

Example:

"prod_3ttSkdxGuAfcv3"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
type,
-type,
code,
-code,
campaign,
-campaign,
category,
-category
start_date
string<date-time>

Timestamp representing the date and time which results must end on. Represented in ISO 8601 format.

Example:

"2023-12-22T10:13:06.487Z"

end_date
string<date-time>

Timestamp representing the date and time which results must end on. Represented in ISO 8601 format.

Example:

"2023-12-22T10:13:06.487Z"

Response

Returns a dictionary of SKUs.

Response body schema for GET v1/products/{productId}/SKUs.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about SKUs.

data_ref
string
default:data
required

Identifies the name of the JSON property that contains the array of SKUs.

skus
SKU Object · object[]
required

A dictionary that contains an array of SKUs.

total
integer
required

Total number of SKUs in the product.

Last modified on June 11, 2026